View Issue Details

IDProjectCategoryView StatusLast Update
0006744Talerexchange API (HTTP specification)public2021-09-02 18:14
Reportersebasjm Assigned Tosebasjm  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006744: add currency to the /keys endpoints
DescriptionUseful to access exchange's configuration remotely and prev discussed with Christian by email.
TagsNo tags attached.

Activities

sebasjm

2021-02-07 23:36

developer   ~0017505

added in 07a5f6fb

Christian Grothoff

2021-02-07 23:45

manager   ~0017506

The API specification and client library still also need to be updated.

sebasjm

2021-02-08 14:36

developer   ~0017511

Last edited: 2021-02-08 14:37

added at b603b79

Christian Grothoff

2021-02-13 19:31

manager   ~0017527

You updated the API spec, but not the client library. See exchange.git/src/lib/ and src/include/taler_exchange_service.h.
Basically, struct TALER_EXCHANGE_Keys needs a new 'char *currency' field that needs to be initialized.

sebasjm

2021-02-15 21:06

developer   ~0017537

* updated struct TALER_EXCHANGE_Keys with the currency name
* updated decode_keys_json to read the value
* also, added currency field to the key json_pack in TALER_EXCHANGE_serialize_data

in exchange.git rev c1a58ef3

Christian Grothoff

2021-02-15 22:07

manager   ~0017538

Fixed some memory issue in c1a58ef3..e6c5262c, with that this should be OK.

sebasjm

2021-09-02 18:14

developer   ~0018233

Fix committed to master branch.

Related Changesets

exchange: master 07a5f6fb

2021-02-07 23:33:15

sebasjm

Details Diff
fix 0006744 Affected Issues
0006744
mod - src/exchange/taler-exchange-httpd_keys.c Diff File

exchange: master e6c5262c

2021-02-15 22:05:37

Christian Grothoff

Details Diff
fix currency parsing in deserialization logic (resolves 0006744) Affected Issues
0006744
mod - debian/changelog Diff File
mod - debian/libtalerexchange-dev.install Diff File
mod - src/lib/exchange_api_handle.c Diff File

Issue History

Date Modified Username Field Change
2021-02-07 23:33 sebasjm New Issue
2021-02-07 23:33 sebasjm Status new => assigned
2021-02-07 23:33 sebasjm Assigned To => Christian Grothoff
2021-02-07 23:36 sebasjm Note Added: 0017505
2021-02-07 23:37 sebasjm Status assigned => resolved
2021-02-07 23:37 sebasjm Resolution open => fixed
2021-02-07 23:37 sebasjm Fixed in Version => git (master)
2021-02-07 23:45 Christian Grothoff Assigned To Christian Grothoff => sebasjm
2021-02-07 23:45 Christian Grothoff Status resolved => assigned
2021-02-07 23:45 Christian Grothoff Note Added: 0017506
2021-02-07 23:45 Christian Grothoff Resolution fixed => open
2021-02-07 23:45 Christian Grothoff Fixed in Version git (master) =>
2021-02-07 23:45 Christian Grothoff Target Version git (master) => 0.9
2021-02-08 14:36 sebasjm Note Added: 0017511
2021-02-08 14:37 sebasjm Note Edited: 0017511
2021-02-13 19:31 Christian Grothoff Note Added: 0017527
2021-02-15 21:06 sebasjm Note Added: 0017537
2021-02-15 22:07 Christian Grothoff Note Added: 0017538
2021-02-15 22:07 Christian Grothoff Status assigned => resolved
2021-02-15 22:07 Christian Grothoff Resolution open => fixed
2021-02-15 22:07 Christian Grothoff Fixed in Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master e6c5262c
2021-09-02 18:13 sebasjm Changeset attached => Taler-exchange master 07a5f6fb
2021-09-02 18:14 sebasjm Note Added: 0018233